Package com.sas.services.information

# Class PartialResultsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.PartialResultsException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

Direct Known Subclasses:
  `PartialFolderResultsException`, `PartialListResultsException`

public abstract class PartialResultsException extends ServiceException
This Exception gets thrown if multiple objects were expected in a result set, and one or more exceptions were thrown during metadata retrieval. This class provides access to the results set as well as an array of Exceptions that occurred during retrieval. The payload may be empty, but it shouldn't be null.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `_payload`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartialResultsException()`
  `PartialResultsException(Object results, String message)`
  `PartialResultsException(String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addException(Throwable t)`
  `Throwable[]`
  `getExceptions()`
  `String`
  `getMessage()`

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### _payload

    protected Object _payload

- ## Constructor Details

  - ### PartialResultsException

    public PartialResultsException()

  - ### PartialResultsException

    public PartialResultsException(String message)
    Parameters:
      `message` -

  - ### PartialResultsException

    public PartialResultsException(Object results, String message)
    Parameters:
      `results` - A set of results for the operation. This set may be only part of the desired results.
      `message` - A message that indicates at least one reason why the operation didn't succeed.

- ## Method Details

  - ### getExceptions

    public Throwable[] getExceptions()

  - ### addException

    public void addException(Throwable t)

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`